---
const { backgroundColor } = Astro.props
---

<hr class="colorized-hr" />

<style define:vars={{ backgroundColor }}>
  .colorized-hr {
    margin-top: 0;
    margin-bottom: 0;
    height: 0.5rem;
    background: var(--backgroundColor);
    border: none;
  }
</style>
